Subject: Re: What's cooking in git.git (Aug 2010, #02; Wed, 11)

From: Chris Packham <[email-masked]>
Date: Thu, 12 Aug 2010 10:34:05 -0700

On 12/08/10 09:50, Ævar Arnfjörð Bjarmason wrote:
> On Thu, Aug 12, 2010 at 11:35, Erik Faye-Lund <[email-masked]> wrote:
>> On Thu, Aug 12, 2010 at 12:20 PM, Ævar Arnfjörð Bjarmason
>> <[email-masked]> wrote:
>>> On Thu, Aug 12, 2010 at 09:23, Johannes Sixt <[email-masked]> wrote:
>>>> [Sorry for the Cc spam; I lack the time to conduct individual messages.]
>>>>
>>>> I compiled many topics in pu and ran the test suite on Windows,
>>>
>>> A Windows smoker would be useful :)
>>>
>>
>> I guess I could look into setting one up. Where would I look for the
>> most up-to-date instructions on doing this?
> 
> The smoke testing section in t/README in pu.
> 
> Here's a small script I use to automate my smoke reports:
> http://github.com/avar/linode-etc/blob/master/bin/cron/build-and-install-git
> 
> But it's crappy and incomplete, we/I still need to write something
> easy to set up that does automatic bisecting etc. on errors, tests
> multiple branches and all that good stuff.
> 
> In the meantime smoking pu daily in cron should do.
>

I've got a spare windows box at work I could set something up on it.
I've never used msysgit or MinGW so I might need some instructions/links
on that in addition to the smoker stuff.